Skip to content

Delete an external page

Request

Sending a DELETE request for an external page will remove it from the content library UI and from being used for AI answers.

Security
bearerAuth
Path
idstringrequired

The unique identifier for the external page which is given by Intercom.

Headers
Intercom-Versionstring(intercom_version)

Intercom API version.
By default, it's equal to the version set in the app package.

Default:"2.12"
Enum:"1.0""1.1""1.2""1.3""1.4""2.0""2.1""2.2""2.3""2.4"
Example:2.12
curl -i -X DELETE \
  'https://api.intercom.io/ai/external_pages/{id}' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
  -H 'Intercom-Version: 2.12'

Responses

successful

Bodyapplication/json
typestringrequired

Always external_page

Default:"external_page"
Value:"external_page"
Example:"external_page"
idstringrequired

The unique identifier for the external page which is given by Intercom.

Example:"1234"
titlestringrequired

The title of the external page.

Example:"Getting started with..."
htmlstringrequired

The body of the external page in HTML.

Example:"<p>Hello world!</p>"
urlstring

The URL of the external page. This will be used by Fin to link end users to the page it based its answer on.

Example:"https://help.example.com/en/articles/1234-getting-started"
ai_agent_availabilitybooleanrequired

Whether the external page should be used to answer questions by AI Agent.

Example:true
ai_copilot_availabilitybooleanrequired

Whether the external page should be used to answer questions by AI Copilot.

Example:true
fin_availabilityboolean

Deprecated. Use ai_agent_availability and ai_copilot_availability instead.

Example:true
localestringrequired

Always en

Default:"en"
Value:"en"
Example:"en"
source_idintegerrequired

The unique identifier for the source of the external page which was given by Intercom. Every external page must be associated with a Content Import Source which represents the place it comes from and from which it inherits a default audience (configured in the UI). For a new source, make a POST request to the Content Import Source endpoint and an ID for the source will be returned in the response.

Example:1234
external_idstringrequired

The identifier for the external page which was given by the source. Must be unique for the source.

Example:"5678"
created_atinteger, (date-time)required

The time when the external page was created.

Example:1672928359
updated_atinteger, (date-time)required

The time when the external page was last updated.

Example:1672928610
last_ingested_atinteger, (date-time)required

The time when the external page was last ingested.

Example:1672928610
Response
{ "id": "6", "type": "external_page", "title": "My External Content", "html": "", "url": "https://support.example.com/us/5", "ai_agent_availability": true, "ai_copilot_availability": true, "fin_availability": true, "locale": "en", "source_id": 13, "external_id": "4", "created_at": 1736201416, "updated_at": 1736201416, "last_ingested_at": 1736201416 }